### Hierarchy

- DrawBox

## Index

### Constructors

- constructor

### Properties

- box
- options

### Methods

- draw

## Constructors

### constructor

- new DrawBox(box: IRect | IBoundingBox, options?: IDrawBoxOptions): DrawBox

- - Defined in draw/DrawBox.ts:41

  #### Parameters

  - ##### box: IRect | IBoundingBox

  - ##### options: IDrawBoxOptions = {}

  #### Returns DrawBox

## Properties

### box

box: Box<any>

- Defined in draw/DrawBox.ts:39

### options

options: DrawBoxOptions

- Defined in draw/DrawBox.ts:41

## Methods

### draw

- draw(canvasArg: string | CanvasRenderingContext2D | HTMLCanvasElement): void

- - Defined in draw/DrawBox.ts:51

  #### Parameters

  - ##### canvasArg: string | CanvasRenderingContext2D | HTMLCanvasElement

  #### Returns void